/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef FULL_IO_H
#define FULL_IO_H

#include <sys/types.h>

ssize_t full_read( int fd, void *buf, size_t count );
ssize_t full_write( int fd, const void *buf, size_t count );

ssize_t full_pread( int fd, void *buf, size_t count, off_t offset );
ssize_t full_pwrite( int fd, const void *buf, size_t count, off_t offset );

#endif
